/* fonts */

@font-face {
  font-family: "Circular";
  font-weight:400;
  font-style: normal;
  src: url("https://storage.googleapis.com/readme-docs/circular-book.woff?11") format("woff")
}

@font-face {
  font-family: "Circular";
  font-weight:700;
  font-style: normal;
  src: url("https://storage.googleapis.com/readme-docs/circular-bold.woff?11") format("woff")
}

@font-face {
  font-family: "Circular";
  font-weight:bold;
  font-style: normal;
  src: url("https://storage.googleapis.com/readme-docs/circular-bold.woff?!1") format("woff")
}

body {
  font-family: "Circular", "Helvetica Neue", Arial, sans-serif;
  font-size: 15px;
}

a, a:hover {
  color: #409BAF;
}

nav#hub-sidebar ul .subpages .subpage {
  font-size: 13px;
}

header#hub-header {
  position: fixed;
}
.hub-is-home header#hub-header {
  position: relative;
}

#hub-container, nav#sub-sidebar {
  padding-top: 98px !important;
} 

/* anchors */
.anchor-page-title {
  margin-top: -40px;
  padding-top: 40px;
}

/* Header */
header#hub-header #header-top #header-logo {
  width: 115px;
  margin-top: 18px;
}
.theme-line header#hub-header #header-top {
  border: none;
  padding-top: 5px;
  padding-bottom: 5px;
}


/* media queries for main container */
@media (min-width: 1200px) {
  .hub-container, .container {
    max-width: 1400px;
  }
}

.content-body .magic-block-textarea ul li,
.content-body .magic-block-api-header ul li,
.content-body .magic-block-textarea ol li,
.content-body .magic-block-api-header ol li {
  margin-bottom: 0px;
}
.content-body .magic-block-textarea ul,
.content-body .magic-block-api-header ul,
.content-body .magic-block-textarea ol,
.content-body .magic-block-api-header ol {
  margin-left: 40px;
  line-height: 24px;
}
.content-body .magic-block-code div.block-code-code {
  padding-bottom: 0px !important;
}
.content-body .magic-block-code div.block-code-code pre {
  padding-bottom: 20px;
}
.content-body .magic-block-image figcaption p {
  font-size: 12px;
}


/* headings */
.content-body .magic-block-textarea h1,
.content-body .magic-block-api-header h1,
.content-body .magic-block-textarea h2,
.content-body .magic-block-api-header h2,
.content-body .magic-block-textarea h3,
.content-body .magic-block-api-header h3,
.content-body .magic-block-textarea h4,
.content-body .magic-block-api-header h4,
.content-body .magic-block-textarea h5,
.content-body .magic-block-api-header h5,
.content-body .magic-block-textarea h6,
.content-body .magic-block-api-header h6{
  color: #333
}


/* article styles */
figure {
  text-align: center;
}
blockquote {
  border-left: 5px solid #eee;
  margin-bottom: 20px;
}
b, strong {
  color: #333;
}

/* set width to 100 for articles without TOC */
@media (min-width: 1025px) {
  .grid-100 {
      width: 75% !important;
  }
}

/* tables */
/* remove line from outer border */
.content-body .magic-block-parameters .block-parameters-table {
  border: 1px solid #ddd;
}
.content-body .magic-block-parameters .block-parameters-table .th,
.table .tr .td {
  border-bottom: 1px solid #ddd;
}
.content-body .magic-block-parameters .block-parameters-table .tr p,
.content-body .magic-block-parameters .block-parameters-table .td p,
.content-body .magic-block-parameters .block-parameters-table .th p {
  margin-bottom: 1em;
}

/* api */
/* apply styles from Docs containter to API container 
   .hub-full
*/
.hub-full .hub-container, .hub-full .container {
  max-width: 1200px;
  margin: auto;
  position: relative;
}
@media (min-width: 1200px) {
  #hub-sidebar-parent {
    width: 310px;
  }
  nav#hub-sidebar ul a {
    width: auto;
  }
  section#hub-content {
    padding-left: 310px;
  }
}
#hub-reference .hub-reference .hub-reference-section .hub-reference-left,
#hub-reference .hub-reference .hub-reference-section .hub-reference-right {
  display: table-row;
}
#hub-reference .hub-reference .hub-reference-section-code .hub-reference-left,
#hub-reference .hub-reference .hub-reference-section-code .hub-reference-right {
  display: table-cell;
}
#hub-reference .hub-reference .hub-reference-section .hub-reference-right {
  background-color: inherit;
}
#hub-reference .hub-reference .api-definition-parent {
    margin-top: -20px;
    border: none;
    background-color: #F8FAFC;
}
@media (max-width: 1000px){  
  #hub-reference .hub-reference .api-definition-parent {
    margin-top: 0px;
  }
}

.hub-reference-response-definitions {
  /* display: none; */
}
#hub-reference .hub-api .api-definition.float {
  position: static;
  width: 100%;
  margin-left: 0;
}
#hub-reference .hub-reference .hub-reference-section p,
#hub-reference .hub-reference .hub-reference-section ul,
#hub-reference .hub-reference .hub-reference-section table,
#hub-reference .hub-api .hub-reference-response-definitions td p {
  color: #666;
  margin-bottom: 1em;
  font-size: 13px;
}
#hub-reference .hub-reference .hub-reference-section .callout-body p {
  margin-bottom: 0;
}
#hub-reference .hub-api .hub-reference-response-definitions td p {
  line-height: 18px;
}
#hub-reference .hub-api .hub-reference-response-definitions table {
  word-wrap: break-word;
}
#hub-reference .hub-api .hub-reference-response-definitions {
  padding: 8px 15px;
}
#hub-reference .hub-api .hub-reference-response-definitions td {
  color: #b4babd;
  font-size: 12px;
}
.hub-reference .excerpt blockquote {
  border-left: 5px solid #409BAF;
  margin-bottom: 10px;
  margin-left: 6px;
  padding-left: 10px;
}
p code {
  word-break: break-word;
}
.param-item-desc ul {
  list-style: disc;
  padding: 8px 0;
  margin-top: 1em;
  margin-bottom: 1em;
  margin-left: 40px;
}



/* api response wrapper */

.response-wrapper {
  display:table;
  width:100%;
  padding: 10px 30px;
  margin-top: 40px;
/*  background-color: #f0f2f4; */
  background-color: #F8FAFC;
}
.response-show {
  background: #fff;
  border: 2px solid #eee;
  border-radius: 5px;
  padding: 6px 17px 8px;
  font-size: 15px;
  color: #999;
  -webkit-transition: 0.3s ease-out;
  -moz-transition: 0.3s ease-out;
  -o-transition: 0.3s ease-out;
  -ms-transition: 0.3s ease-out;
  transition: 0.3s ease-out;
}
.response-show:hover {
  border-color: #040404;
  color: #040404;
}
.fa.up {
  -ms-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
  transform: rotate(180deg);
}

.fa {
  -moz-transition: all .4s linear;
  -webkit-transition: all .4s linear;
  transition: all .4s linear;
}

body.state-reference #hub-subheader{
  background-color: #dc6386 !important;
}

body.state-reference .search-box{
  background-color: #dc6386 !important;
}

body.state-reference #hub-search input {
background-color: #dc6386 !important;
}

body.state-reference #hub-search input::placeholder {
color: #fff !important;
}

body.state-reference #hub-subheader-parent #hub-subheader .hub-subheader-breadcrumbs .hub-breadcrumb-item{
  color:#fff !important;
}

body.state-reference #hub-subheader-parent #hub-subheader .hub-subheader-breadcrumbs .hub-breadcrumb-item.hub-breadcrumb-last .fa-chevron-down{
  color: #fff !important;
}

body.state-reference #hub-search .fa.fa-search{
  color: #fff !important;
}

body.state-reference .search-box{
  color: #fff !important;
}

body.state-reference #hub-subheader-parent #hub-subheader .hub-subheader-breadcrumbs a.dropdown-toggle:hover .fa-chevron-down{
  color: #000 !important;
}

body.state-docs #hub-subheader{
  background-color: #005b9d !important;
}
body.state-docs .search-box{
  background-color: #005b9d !important;
}

body.state-docs #hub-search input {
background-color: #005b9d !important;
}

body.state-docs #hub-search input::placeholder {
color: #fff !important;
}

body.state-docs #hub-subheader-parent #hub-subheader .hub-subheader-breadcrumbs .hub-breadcrumb-item{
  color:#fff !important;
}

body.state-docs #hub-subheader-parent #hub-subheader .hub-subheader-breadcrumbs .hub-breadcrumb-item.hub-breadcrumb-last .fa-chevron-down{
  color: #fff !important;
}

body.state-docs #hub-search .fa.fa-search{
  color: #fff !important;
}

body.state-docs .search-box{
  color: #fff !important;
}

body.state-docs #hub-subheader-parent #hub-subheader .hub-subheader-breadcrumbs a.dropdown-toggle:hover .fa-chevron-down{
  color: #000 !important;
}

body.state-home #hub-subheader{
  background-color: #005b9d !important;
}

body.state-home #hub-subheader-parent #hub-subheader .hub-subheader-breadcrumbs .hub-breadcrumb-item{
  color:#fff !important;
}

body.state-home #hub-subheader-parent #hub-subheader .hub-subheader-breadcrumbs .hub-breadcrumb-item.hub-breadcrumb-last .fa-chevron-down{
  color: #fff !important;
}

body.state-home #hub-subheader-parent #hub-subheader .hub-subheader-breadcrumbs a.dropdown-toggle:hover .fa-chevron-down{
  color: #000 !important;
}

body .goog-te-gadget-simple .goog-te-menu-value {
  color:#fff;
}

body #google_translate_element {
  margin:0.3em 0.3em 0 0;
}

body.state-reference .goog-te-gadget-simple {
background-color: #dc6386;
}

body.state-home .goog-te-gadget-simple {
background-color: #005b9d;
}

body.state-docs .goog-te-gadget-simple {
background-color: #005b9d;
}